Hi,

here is my port of screen 3.5.2 to Mint.
To get it running I had to make some adaptions:

- Implement Mint style pty's (inspired by Kay Roemer's portlib).
- Circumvent the "Mint has no real fork()" problem.
  I did this simply by omitting the main fork() call which splits of
  the so-called attacher. So there will be no attacher running!

In practice this means that you cannot detach screen, i.e. putting the
entire screen session in the background. This would enable one to logout
while foreground processes keep running. Since most of us turn off their
Atari after they logout, we will not miss this feature.

I did not adapt the manual, so you must skip all references to
detaching and (multiple) attaching.
In particular, the options -r, -R, -d, -D, -wipe, -ls, -x and -m are
disabled.

Prior to this version, I did a port which incorporated these features.
The fork problem was circumvented by having two screen programs running at
the same time, one behaving as the attacher.
It ran great, but used 600K of memory (constantly!), while this port uses
only 220K and misses some features you would probably never use anyway!

Three last remarks:

- An unwanted side-effect of omitting the forking, is that the locking
  feature is disabled automatically, since the attacher takes care of the
  locking. To fix this, some code from the attacher has to be moved to the
  main screen process. I plan to do this in the near future.

- I don't know (yet) how to create a file containing the diffs.
  This file will be present in the next release.

- It is not yet possible to start GEM from within screen.
  I think this would be possible by copying some parts of Juergen Lock's
  virtual terminal program. I will do this as soon as I know how.

To install:

- make sure you are root (e.g. by running "su").
- copy "screen" to /usr/local/bin (or wherever you like it).
  set the user s-bit of screen: chmod u+s /usr/local/bin/screen
- copy "screenrc" to /usr/local/etc (if you put it somewhere else, set
  the environment variable SYSSCREENRC to the full filename).
- copy "screen.1" to /usr/local/man/cat1 (or wherever you keep your manuals).
- insert the file "screencap" into /etc/termcap (preferably at the start).

Any comments, suggestions and bugreports to,

Richard Huveneers
huveneer@math.ruu.nl
